Name:           rcsslogplayer
Version:        15.1.1
Release:        4%{?dist}
Summary:        RoboCup Soccer Simulator LogPlayer
Group:          Applications/System

# %{_libdir}/*, %{_includedir}/*, %{_bindir}/rcsslogplayer_classic,
# %{_bindir}/rcg2xml are under LGPLv2+, others are under GPLv2+
License:        LGPLv2+ and GPLv2+
URL:            http://sourceforge.net/projects/sserver/
Source0:        http://downloads.sourceforge.net/sserver/%{name}-%{version}.tar.gz
# Source 1 is created by me.
Source1:        %{name}.desktop

Requires:       rcssmonitor

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  automake libtool boost-devel qt-devel
BuildRequires:  desktop-file-utils


%description
The RoboCup Soccer Simulator LogPlayer (rcsslogpleyr) is a game log
replay tool for the RoboCup Soccer Simulator Server (rcssserver).

%package        devel
Summary:        Header files and libraries for %{name}
License:        LGPLv2+
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       boost-devel

%description    devel
This package contains the header files and libraries
for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup -q
sed -i.lib \
    -e 's|\$ac_boost_path/lib|\$libdir|' \
    -e 's|$ac_boost_path_tmp/lib|\$libdir|' \
    m4/ax_boost_base.m4
sed -i.nostatic \
    -e 's|--static||g' m4/qt.m4
sed -i.aarch64 \
    "s|-o \$ax_arch = ppc64|-o \$ax_arch = aarch64 -o \$ax_arch = ppc64|" \
    m4/ax_boost_base.m4
autoreconf --install -f
# Fix rpath
sed -i.rpath -e '/sys_lib_search_path_spec/s| /usr/lib| /lib64 /usr/lib64 /usr/lib|' \
    configure

%build
%configure --with-qt4-moc=%{_bindir}/moc-qt4
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
rm -rf %{buildroot}/%{_libdir}/*.la

mkdir %{buildroot}/%{_datadir}/pixmaps/
cp -p icons/rcss.xpm %{buildroot}/%{_datadir}/pixmaps/rcsslogplayer.xpm

desktop-file-install \
  --dir=%{buildroot}/%{_datadir}/applications %{SOURCE1}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README 
%{_bindir}/*
%{_libdir}/*.so.*
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/applications/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 15.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 15.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 15.1.1-2
- Fix build on aarch64

* Fri May 23 2014 Petr Machata <pmachata@redhat.com> - 15.1.1-2
- Rebuild for boost 1.55.0

* Fri Apr 25 2014 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 15.1.1-1
- Update to 15.1.1 to fix a locale related bug

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 15.0.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 27 2013 pmachata@redhat.com - 15.0.0-11
- Rebuild for boost 1.54.0

* Wed May 01 2013 Jon Ciesla <limburgher@gmail.com> - 15.0.0-10
- Drop desktop vendor tag.

* Sat Feb 09 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 15.0.0-9
- Rebuild for Boost-1.53.0

* Tue Aug 21 2012 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 15.0.0-8
- Rebuild for Boost 1.50

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 15.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 15.0.0-6
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 15.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 21 2011 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 15.0.0-4
- Rebuild for Boost 1.48

* Fri Jul 22 2011 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 15.0.0-3
- Rebuild for Boost 1.47

* Fri May 27 2011 Dan Horák <dan[at]danny.cz> - 15.0.0-2
- fix build on non-x86 64-bit architectures

* Thu May 19 2011 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 15.0.0-1
- Updated to upstream version 15.0.0

* Sun Apr 17 2011 Kalev Lember <kalev@smartlink.ee> - 14.0.1-5
- Rebuilt for boost 1.46.1 soname bump

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 14.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 04 2010 Hedayat Vatankhah <hedayat@fedoraproject.org> - 14.0.1-3
- Rebuild for the new boost

* Fri Jun 04 2010 Hedayat Vatankhah <hedayat@fedoraproject.org> - 14.0.1-2
- Do not pull Qt4 private libs for static compilation (Thanks to Mamoru Tasaka)

* Mon Jan 18 2010 Hedayat Vatankhah <hedayat@grad.com> 14.0.1-1
- Updated to 14.0.1 version

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 13.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat May 23 2009 Hedayat Vatankhah <hedayat@grad.com> 13.1.0-5
- Rebuilt for the new boost version

* Sun Mar 01 2009 Hedayat Vatankhah <hedayat@grad.com> 13.1.0-4
- Added patch for gcc4.4 compatibility

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 13.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 18 2008 Benjamin Kosnik  <bkoz@redhat.com> 13.1.0-2
- Rebuild for boost-1.37.0.

* Thu Dec 18 2008 Hedayat Vatankhah <hedayat@grad.com> 13.1.0-1
- Updated to the new released version (13.1.0)

* Thu Dec 4 2008 Hedayat Vatankhah <hedayat@grad.com> 13.0.1-1
- Updated to the new released version (13.0.1)

* Wed Nov 5 2008 Hedayat Vatankhah <hedayat@grad.com> 13.0.0-1
- Updated to the new released version (13.0.0)

* Sun Oct 26 2008 Hedayat Vatankhah <hedayat@grad.com> 12.1.2-1
- Updated to the latest released package

* Sat Sep 20 2008 Hedayat Vatankhah <hedayat@grad.com> 12.1.1-2
(Thanks to Mamoru Tasaka)
- Fixed -devel sub package license tag
- Fixed build failure caused by not finding moc-qt4 binary
- Fixed .desktop file category

* Mon Sep 15 2008 Hedayat Vatankhah <hedayat@grad.com> 12.1.1-1
- Initial version
